%define lib_major   3
%define libname %mklibname %{name}_ %{lib_major}
%define libnamedev %mklibname -d %name
%define with_doc 0

Name:           graphite2
Version:        1.3.10
Release:        %mkrel 1
Summary:        Font rendering capabilities for complex non-Roman writing systems
Group:          System/Libraries
License:        LGPLv2+
URL:            http://sourceforge.net/projects/silgraphite/
Source0:        http://downloads.sourceforge.net/silgraphite/graphite2-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  freetype-devel
BuildRequires:  doxygen,texlive,asciidoc
BuildRequires:  libxml2-utils

%description
Graphite2 is a project within SIL's Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create "smart fonts" capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%files
%doc LICENSE COPYING ChangeLog
%{_bindir}/gr2fonttest

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
Graphite2 is a project within SIL's Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create "smart fonts" capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%files -n %{libname}
%{_libdir}/libgraphite2.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %{libnamedev}
Requires: %{name} = %{version}-%{release}
Summary: Files for developing with graphite2
Group:    Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}


%description -n %{libnamedev}
Includes and definitions for developing with graphite2.

%files -n %{libnamedev}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/graphite2.cmake
%{_includedir}/%{name}
%{_libdir}/libgraphite2.so
%{_libdir}/pkgconfig/graphite2.pc
%{_datadir}/graphite2/graphite2-relwithdebinfo.cmake

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake -DENABLE_COMPARE_RENDERER=OFF ..
%make
%if %{with_doc}
make docs
%endif

%install
%makeinstall_std -C build
rm -f %{buildroot}/%{_libdir}/*.la


%changelog
* Sun Nov 25 2018 adrianomorselli <adrianomorselli> 1.3.10-1uplos2018
- update
